Assistants (Beta)
Create Assistant
POST
Create an assistant with a model and instructions.
Request Body
string
required
ID of the model to use. You can use the List models API to see all of your available models, or see the Model overview for descriptions of them.
string
The name of the assistant. The maximum length is 256 characters.
string
The description of the assistant. The maximum length is 512 characters.
string
The system instructions that the assistant uses. The maximum length is 256,000 characters.
array
A list of tools enabled on the assistant. There can be a maximum of 128 tools per assistant. Tools can be of types:
code_interpreterfile_searchfunction
object
A set of resources that are used by the assistant’s tools. The resources are specific to the type of tool. For example, the
code_interpreter tool requires a list of file IDs, while the file_search tool requires a list of vector store IDs.object
Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format.Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.
number
What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic.
number
An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered.We generally recommend altering this or temperature but not both.
object
Specifies the format that the model must output. Setting to
{ "type": "json_schema", "json_schema": {...} } enables Structured Outputs which ensures the model will match your supplied JSON schema.Setting to { "type": "json_object" } enables JSON mode, which ensures the message the model generates is valid JSON.Response
Returns anAssistant object.